Download Petit Larceny

Larceny v0.97, "Funny in the Head", 19 August 2009

Release notes

Before you can use ERR5RS/R6RS modes in Petit Larceny, you will need to compile Larceny's ERR5RS/R6RS runtime and standard libraries by following the instructions for step 4 of the process described in HOWTO-BUILD.

System Requirements

Petit Larceny is now prebuilt for Macintosh OS X (PowerPC only), Linux (IA32 only), and Solaris (SPARC). Petit Larceny can also be built from source code for several other 32-bit Unix platforms.

Petit Larceny compiles to C, but compiling directly to native machine code is faster and usually generates better machine code. For Intel IA32 machines (including Windows, Linux, and Mac OS X) or SPARC/Solaris machines, we therefore recommend Larceny/IA32 be used instead of Petit Larceny. For Microsoft .NET, please download Common Larceny.